searchNodes=[{"doc":"Generates a shell script for starting QEMU on a firmware image that uses nerves_system_x86_64 . To use the generated script, first create the firmware image using: $ mix firmware.image [path/to/my_app.img] Place this image somewhere where it won't get overwritten. This image has a similar purpose to the MicroSD card, Flash memory or hard drive that a real target would use. Next, run this command and specify the path to the image. This path may be overridden when invoking the script. Example usage: $ mix nerves.gen.qemu_script [path/to/my_app.img] If the .img file isn't specified, it will default to the OTP application's name plus the .img extension. Options None","ref":"Mix.Tasks.Nerves.Gen.QemuScript.html","title":"Mix.Tasks.Nerves.Gen.QemuScript","type":"task"},{"doc":"Callback implementation for Mix.Task.run/1 .","ref":"Mix.Tasks.Nerves.Gen.QemuScript.html#run/1","title":"Mix.Tasks.Nerves.Gen.QemuScript.run/1","type":"function"},{"doc":"This is the base Nerves System configuration for a generic x86_64 system. Feature Description CPU Intel Memory 512 MB+ DRAM Storage Hard disk/SSD/etc. (/dev/sda) Linux kernel 5.4 IEx terminal Display - tty0 Hardware I/O None Ethernet Yes Please contact us about this if you're really interested in it. We don't exercise it regularly except as a base for other x86_64 projects.","ref":"readme.html","title":"Generic x86_64 System","type":"extras"},{"doc":"The most common way of using this Nerves System is create a project with mix nerves.new and to export MIX_TARGET=x86_64 . See the Getting started guide for more information. If you need custom modifications to this system for your device, clone this repository and update as described in Making custom systems","ref":"readme.html#using","title":"Generic x86_64 System - Using","type":"extras"},{"doc":"If you have multiple SSDs, or other devices connected, it's possible that Linux will enumerate those devices in a nondeterministic order. This can be mitigated by using udev to populate the /dev/disks/by-* directories, but even this can be inconvenient when you just want to refer to the drive that provides the root filesystem. To address this, erlinit creates /dev/rootdisk0 , /dev/rootdisk0p1 , etc. and symlinks them to the expected devices. For example, if your root file system is on /dev/mmcblk0p1 , you'll get a symlink from /dev/rootdisk0p1 to /dev/mmcblk0p1 and the whole disk will be /dev/rootdisk0 . Similarly, if the root filesystem is on /dev/sdb1 , you'd still get /dev/rootdisk0p1 and /dev/rootdisk0 and they'd by symlinked to /dev/sdb1 and /dev/sdb respectively.","ref":"readme.html#root-disk-naming","title":"Generic x86_64 System - Root disk naming","type":"extras"},{"doc":"This system supports storing provisioning information in a small key-value store outside of any filesystem. Provisioning is an optional step and reasonable defaults are provided if this is missing. Provisioning information can be queried using the Nerves.Runtime KV store's Nerves.Runtime.KV.get/1 function. Keys used by this system are: Key Example Value Description nerves_serial_number &quot;12345678&quot; By default, this string is used to create unique hostnames and Erlang node names. If unset, it defaults to part of the Ethernet adapter's MAC address. The normal procedure would be to set these keys once in manufacturing or before deployment and then leave them alone. For example, to provision a serial number on a running device, run the following and reboot: iex&gt; cmd ( &quot;fw_setenv nerves_serial_number 12345678&quot; ) This system supports setting the serial number offline. To do this, set the NERVES_SERIAL_NUMBER environment variable when burning the firmware. If you're programming MicroSD cards using fwup , the commandline is: sudo NERVES_SERIAL_NUMBER=12345678 fwup path_to_firmware.fw Serial numbers are stored on the MicroSD card so if the MicroSD card is replaced, the serial number will need to be reprogrammed. The numbers are stored in a U-boot environment block. This is a special region that is separate from the application partition so reformatting the application partition will not lose the serial number or any other data stored in this block. Additional key value pairs can be provisioned by overriding the default provisioning.conf file location by setting the environment variable NERVES_PROVISIONING=/path/to/provisioning.conf . The default provisioning.conf will set the nerves_serial_number , if you override the location to this file, you will be responsible for setting this yourself.","ref":"readme.html#provisioning-devices","title":"Generic x86_64 System - Provisioning devices","type":"extras"},{"doc":"This project does NOT follow semantic versioning. The version increases as follows: Major version updates are breaking updates to the build infrastructure. These should be very rare. Minor version updates are made for every major Buildroot release. This may also include Erlang/OTP and Linux kernel updates. These are made four times a year shortly after the Buildroot releases. Patch version updates are made for Buildroot minor releases, Erlang/OTP releases, and Linux kernel updates. They're also made to fix bugs and add features to the build infrastructure.","ref":"changelog.html","title":"Changelog","type":"extras"},{"doc":"This release updates to Buildroot 2022.05 and uses GCC 11.3 (from GCC 10.3). Updated dependencies nerves_system_br v1.20.3 Buildroot 2022.05 Erlang/OTP 25.0.2","ref":"changelog.html#v1-20-0","title":"Changelog - v1.20.0","type":"extras"},{"doc":"This release updates to Buildroot 2022.02.1 and OTP 25.0. While this should be an easy update for most projects, many programs have been updated. Please review the changes in the updated dependencies for details. Updated dependencies nerves_system_br v1.19.0 Buildroot 2022.02.1 . Also see Buildroot 2022.02 Erlang/OTP 25.0","ref":"changelog.html#v1-19-0","title":"Changelog - v1.19.0","type":"extras"},{"doc":"This release bumps Erlang to 24.3.2 and should be a low risk upgrade from the previous release. Updated dependencies nerves_system_br v1.18.6","ref":"changelog.html#v1-18-4","title":"Changelog - v1.18.4","type":"extras"},{"doc":"This is a Buildroot and Erlang bug and security fix release. It should be a low risk upgrade from the previous release. Updated dependencies nerves_system_br v1.18.5","ref":"changelog.html#v1-18-3","title":"Changelog - v1.18.3","type":"extras"},{"doc":"This is a Buildroot and Erlang bug fix release. It should be a low risk upgrade from the previous release. Updated dependencies nerves_system_br v1.18.4 Changes Specify CPU-specific flags when compiling NIFs and ports. This fixes an issue where some optimizations could not be enabled in NIFs even though it should be possible to have them. E.g., ARM NEON support for CPUs that have it.","ref":"changelog.html#v1-18-2","title":"Changelog - v1.18.2","type":"extras"},{"doc":"Updated dependencies nerves_system_br v1.18.3 Changes Programs that use OpenMP will run now. The OpenMP shared library ( libgomp.so ) was supplied by the toolchain, but not copied.","ref":"changelog.html#v1-18-1","title":"Changelog - v1.18.1","type":"extras"},{"doc":"This release updates to Buildroot 2021.11 and OTP 24.2. If you have made a custom system, please review the nerves_system_br release notes . Updated dependencies nerves_system_br v1.18.2 Buildroot 2021.11 Erlang/OTP 24.2 GCC 10.3 Improvements Support for the dl.nerves-project.org backup site. Due to a GitHub outage in November, there was a 2 day period of failing builds since some packages could not be downloaded. We implemented the backup site to prevent this in the future. This update is in the nerves_defconfig . Use new build ORB on CircleCI. This ORB will shorten build times to fit in CircleCI's new free tier limits. Please update if building your own systems.","ref":"changelog.html#v1-18-0","title":"Changelog - v1.18.0","type":"extras"},{"doc":"Updated dependencies nerves_system_br v1.17.4 Buildroot 2021.08.2 Erlang/OTP 24.1.7 .","ref":"changelog.html#v1-17-3","title":"Changelog - v1.17.3","type":"extras"},{"doc":"Updated dependencies nerves_system_br v1.17.3 Erlang/OTP 24.1.4 .","ref":"changelog.html#v1-17-2","title":"Changelog - v1.17.2","type":"extras"},{"doc":"This is a security/bug fix patch release. It should be safe to update for everyone. Updated dependencies nerves_system_br v1.17.1 Buildroot 2021.08.1 Erlang/OTP 24.1.2 Improvements Include software versioning and licensing info (see legal-info directory in artifact)","ref":"changelog.html#v1-17-1","title":"Changelog - v1.17.1","type":"extras"},{"doc":"This release updates to Buildroot 2021.08 and OTP 24.1. If you have made a custom system off this one, please review the nerves_system_br v1.17.0 release notes. Updated dependencies nerves_system_br v1.17.0 Buildroot 2021.08 Erlang/OTP 24.1","ref":"changelog.html#v1-17-0","title":"Changelog - v1.17.0","type":"extras"},{"doc":"This release updates Erlang/OTP from 24.0.3 to 24.0.5 and Buildroot from 2021.05 to 2021.05.1. Both of these are security/bug fix updates. This is expected to be a safe upgrade from v1.16.1 for all users. Updated dependencies nerves_system_br v1.16.4 Erlang/OTP 24.0.5 Improvements Beta support for using a runtime.exs script for runtime configuration. Added a provision task to the fwup.config to enable re-provisioning a MicroSD card without changing its contents. Adds a default /etc/sysctl.conf that enables use of ICMP in Erlang. This requires nerves_runtime v0.11.5 or later to automatically load the sysctl variables. With it using :gen_udp to send/receive ICMP will &quot;just work&quot;. It also makes it easier to add other sysctl variables if needed.","ref":"changelog.html#v1-16-2","title":"Changelog - v1.16.2","type":"extras"},{"doc":"This release updates Nerves Toolchains to v1.4.3 and OTP 24.0.3. It should be safe for everyone to apply. Updated dependencies nerves_system_br v1.16.1 Erlang/OTP 24.0.3 nerves toolchains v1.4.3","ref":"changelog.html#v1-16-1","title":"Changelog - v1.16.1","type":"extras"},{"doc":"This release updates to Buildroot 2021.05 and OTP 24.0.2. If you have made a custom system off this one, please review the nerves_system_br v1.16.0 release notes. Updated dependencies nerves_system_br v1.16.0 Buildroot 2021.05 Erlang/OTP 24.0.2 Improvements This release now contains debug symbols and includes the Build-ID in the ELF headers. This makes it easier to get stack traces from C programs. As before, the Nerves tooling strips all symbols from firmware images, so this won't make programs bigger.","ref":"changelog.html#v1-16-0","title":"Changelog - v1.16.0","type":"extras"},{"doc":"This is a security/bug fix release that updates to Buildroot 2021.02.1 and OTP 23.3.1. It should be safe for everyone to apply. Updated dependencies nerves_system_br v1.15.1 Buildroot 2021.02 Erlang/OTP 23.3.1","ref":"changelog.html#v1-15-1","title":"Changelog - v1.15.1","type":"extras"},{"doc":"This release updates to Buildroot 2021.02 and OTP 23.2.7. If you have made a custom system off this one, please review the nerves_system_br v1.15.0 release notes. The Nerves toolchain has also been updated to v1.4.2. This brings in Linux 4.14 headers to enable use of cdev and eBPF. This won't affect most users. Updated dependencies nerves_system_br v1.15.0 Buildroot 2021.02 Erlang/OTP 23.2.7 nerves toolchains v1.4.2","ref":"changelog.html#v1-15-0","title":"Changelog - v1.15.0","type":"extras"},{"doc":"This release updates to Buildroot 2020.11.2, GCC 10.2 and OTP 23.2.4. When migrating custom systems based, please be aware of the following important changes: The GCC 10.2.0 toolchain has a different name that calls out &quot;nerves&quot; as the vendor and the naming is now more consistent with other toolchain providers. Experimental support for tooling that requires more information about the target has been added. The initial support focuses on zigler. Updated dependencies nerves_system_br: bump to v1.14.4 Buildroot 2020.11.2 Erlang/OTP 23.2.4 Nerves toolchains 1.4.1","ref":"changelog.html#v1-14-0","title":"Changelog - v1.14.0","type":"extras"},{"doc":"This is a bug fix release and contains no major changes. Updated dependencies nerves_system_br: bump to v1.13.7 Erlang/OTP 23.1.5","ref":"changelog.html#v1-13-4","title":"Changelog - v1.13.4","type":"extras"},{"doc":"This release includes a patch release update to Buildroot 2020.08.2 . Updated dependencies nerves_system_br: bump to v1.13.5 erlinit 1.9.0","ref":"changelog.html#v1-13-3","title":"Changelog - v1.13.3","type":"extras"},{"doc":"Fixes Adds libnl back to support VintageNet","ref":"changelog.html#v1-13-2","title":"Changelog - v1.13.2","type":"extras"},{"doc":"The main change in this release is to bump the Linux kernel to 5.4. This follows similar updates to Linux 5.4 across the official Nerves systems. Please review the linux-5.4.defconfig for changes. Updated dependencies nerves_system_br: bump to v1.13.4 Erlang/OTP 23.1.4 boardid 1.10.0 Improvements Enabled reproducible builds in Buildroot to remove some timestamp and build path differences in firmware images. This helps delta firmware updates. Fixes Running images using the run_qemu.sh script works again. This is unsupported, but may be useful as a start for running images via qemu.","ref":"changelog.html#v1-13-1","title":"Changelog - v1.13.1","type":"extras"},{"doc":"This release updates to Buildroot 2020.08 and OTP 23.1.1. Updated dependencies nerves_system_br: bump to v1.13.2 Erlang/OTP 23.1.1 erlinit 1.8.0 nerves 1.7.0 New features Added support for updating the root filesystem using firmware patches. See the firmware patch docs for more information.","ref":"changelog.html#v1-13-0","title":"Changelog - v1.13.0","type":"extras"},{"doc":"This release updates to Buildroot 2020.05.1 and OTP 23.0.3 which are both bug fix releases. Updated dependencies nerves_system_br: bump to v1.12.4 Erlang/OTP 23.0.3 nerves_heart v0.3.0 New features The /data directory now exists for storing application-specific data. It is currently a symlink to /root . Using /data will eventually be encouraged over /root even though currently there is no advantage. This change makes it possible to start migrating paths in applications and libraries. Fixes Fixed old references to the -Os compiler flag. All C/C++ code will default to using -O2 now.","ref":"changelog.html#v1-12-2","title":"Changelog - v1.12.2","type":"extras"},{"doc":"Fixes Remove nerves_system_linter from hex package. This fixes mix dependency errors in projects that reference systems with different nerves_system_linter dependency specs.","ref":"changelog.html#v1-12-1","title":"Changelog - v1.12.1","type":"extras"},{"doc":"This release updates the system to use Buildroot 2020.05 and Erlang/OTP 23. Please see the respective release notes for updates and deprecations in both projects for changes that may affect your application. Updated dependencies nerves_system_br v1.12.0 Erlang/OTP 23.0.2","ref":"changelog.html#v1-12-0","title":"Changelog - v1.12.0","type":"extras"},{"doc":"Updated dependencies nerves_system_br v1.11.4 Erlang 22.3.4.1 fwup 1.7.0","ref":"changelog.html#v1-11-2","title":"Changelog - v1.11.2","type":"extras"},{"doc":"Updated dependencies nerves_system_br v1.11.2 Erlang 22.3.1 erlinit 1.7.0 - tty initialization support fwup 1.6.0 - xdelta3/VCDIFF patch support Enable unixodbc so that Erlang's odbc application can be used in projects","ref":"changelog.html#v1-11-1","title":"Changelog - v1.11.1","type":"extras"},{"doc":"This release updates Buildroot to 2020.02 and upgrades gcc from 8.3 to 9.2. While this is a minor version bump due to the Buildroot release update, barring advanced usage of Nerves, this is a straightforward update from v1.10.2. Updated dependencies nerves_system_br v1.11.0 linux 4.19.108 Erlang 22.2.8","ref":"changelog.html#v1-11-0","title":"Changelog - v1.11.0","type":"extras"},{"doc":"Updated dependencies nerves_system_br v1.10.2 Erlang 22.2.4","ref":"changelog.html#v1-10-2","title":"Changelog - v1.10.2","type":"extras"},{"doc":"Enhancements Set expand=true on the application data partition. This will only take effect for users running the complete task, fwup will not expand application data partitions that exist during upgrade tasks. Trim supported wifi drivers to match other base systems. Remove udev since its not used. Updated dependencies nerves_system_br v1.10.1 Erlang 22.2.3","ref":"changelog.html#v1-10-1","title":"Changelog - v1.10.1","type":"extras"},{"doc":"This release updates Buildroot to 2019.11 with security and bug fix updates across Linux packages. Enables dnsd, udhcpd and ifconfig in the default Busybox configuration to support vintage_net and vintage_net_wizard . See the nerves_system_br notes for details. Updated dependencies nerves_system_br v1.10.0 Erlang 22.1.8 Linux 4.19.87 Bug fixes Enable multiple IP tables for vintage_net Sync filesystem config with other Nerves systems Enable Linux software watchdog","ref":"changelog.html#v1-10-0","title":"Changelog - v1.10.0","type":"extras"},{"doc":"This release updates Buildroot to 2019.08.2 with security and bug fix updates across Linux packages. See the nerves_system_br notes for details. Erlang/OTP is now at 22.1.7. Updated dependencies nerves_system_br v1.9.5","ref":"changelog.html#v1-9-2","title":"Changelog - v1.9.2","type":"extras"},{"doc":"This release pulls in security and bug fix updates from nerves_system_br . Erlang/OTP is now at 22.1.1. Updated dependencies nerves_system_br v1.9.4","ref":"changelog.html#v1-9-1","title":"Changelog - v1.9.1","type":"extras"},{"doc":"This release updates Buildroot to 2019.08 with security and bug fix updates across Linux packages. See the nerves_system_br notes for details. Updated dependencies nerves_system_br v1.9.2","ref":"changelog.html#v1-9-0","title":"Changelog - v1.9.0","type":"extras"},{"doc":"Updated dependencies nerves_system_br v1.8.5","ref":"changelog.html#v1-8-2","title":"Changelog - v1.8.2","type":"extras"},{"doc":"Updated dependencies nerves_system_br v1.8.4","ref":"changelog.html#v1-8-1","title":"Changelog - v1.8.1","type":"extras"},{"doc":"This release This release updates Erlang to OTP 22 and gcc from version 7.3.0 to 8.3.0. See the nerves_system_br and toolchain release notes for more information. Enhancements Enable source-based routing in the Linux kernel to support vintage_net Updated dependencies Erlang 22.0.4 nerves_system_br v1.8.2 nerves_toolchain_arm_unknown_linux_gnueabihf v1.2.0","ref":"changelog.html#v1-8-0","title":"Changelog - v1.8.0","type":"extras"},{"doc":"Bux fixes Add TAR option --no-same-owner to fix errors when untarring artifacts as the root user. Updated dependencies nerves_system_br v1.7.2","ref":"changelog.html#v1-7-2","title":"Changelog - v1.7.2","type":"extras"},{"doc":"Improvements Bump C compiler options to -O2 from -Os . This provides a small, but measurable performance improvement (500ms at boot in a trivial project tested on nerves_system_rpi0 ). Updated dependencies nerves_system_br v1.7.1","ref":"changelog.html#v1-7-1","title":"Changelog - v1.7.1","type":"extras"},{"doc":"Updated dependencies nerves_system_br v1.7.0 Erlang 21.2.7 Linux 4.19.29","ref":"changelog.html#v1-7-0","title":"Changelog - v1.7.0","type":"extras"},{"doc":"Updated dependencies nerves_system_br v1.6.8 Erlang 21.2.6","ref":"changelog.html#v1-6-3","title":"Changelog - v1.6.3","type":"extras"},{"doc":"Updated dependencies nerves_system_br v1.6.6 Erlang 21.2.4 boardid 1.5.3","ref":"changelog.html#v1-6-2","title":"Changelog - v1.6.2","type":"extras"},{"doc":"Updated dependencies nerves_system_br v1.6.5 Erlang 21.2.2 boardid 1.5.2 erlinit 1.4.9 OpenSSL 1.1.1a Enhancements Moved boardid config from inside erlinit.config to /etc/boardid.config","ref":"changelog.html#v1-6-1","title":"Changelog - v1.6.1","type":"extras"},{"doc":"This pulls in a pending patch in Buildroot to update the version of OpenSSL from 1.0.2 to 1.1.0h. This fixes what appears to be issues with Erlang using OpenSSL engines. It also enables Erlang crypto algorithms such as ed25519 that have been added in recent Erlang releases. Updated dependencies nerves_system_br v1.6.1 Erlang 21.2 Added dependencies wpa_passphrase libp11 0.4.9","ref":"changelog.html#v1-6-0","title":"Changelog - v1.6.0","type":"extras"},{"doc":"Updated dependencies nerves_system_br v1.5.3","ref":"changelog.html#v1-5-1","title":"Changelog - v1.5.1","type":"extras"},{"doc":"This release updates the Linux kernel from 4.13 to 4.18.9. Updated dependencies nerves_system_br v1.5.2 Linux 4.18.9 Erlang 21.0.9","ref":"changelog.html#v1-5-0","title":"Changelog - v1.5.0","type":"extras"},{"doc":"This release contains various updates to provisioning variables and data. Host requirements Building firmware using this system requires fwup to be updated on your host computer to at least v1.2.5 . The target minimum version requirement has not changed from 0.15.0 . Serial numbers Device serial numbers are now set using NERVES_SERIAL_NUMBER instead of SERIAL_NUMBER . This is to reduce ambiguity on the source of the serial by name spacing it along side other Nerves variables. The U-Boot environment key has also changed from serial_number to nerves_serial_number . The erlinit.config has been updated to provide backwards compatibility for setting the hostname from the serial number by checking for nerves_serial_number and falling back to serial_number . Custom provisioning Provisioning data is applied at the time of calling the fwup task complete . The complete task is executed when writing the firmware to the target disk. During this time, fwup will include the contents of a provisioning file located at ${NERVES_SYSTEM}/images/fwup_include/provisioning.conf . By default, this file only sets nerves_serial_number . You can add additional provisioning data by overriding the location of this file to include your own by setting the environment variable NERVES_PROVISIONING . If you override this variable you will be responsible for also setting nerves_serial_number . Updated dependencies nerves_system_br v1.4.5","ref":"changelog.html#v1-4-0","title":"Changelog - v1.4.0","type":"extras"},{"doc":"This release upgrades gcc from version 6.3.0 to 7.3.0. See the toolchain release notes for more information. Updated dependencies nerves_system_br v1.4.1 nerves_toolchain_x86_64_unknown_linux_musl v1.1.0","ref":"changelog.html#v1-3-0","title":"Changelog - v1.3.0","type":"extras"},{"doc":"Updated dependencies nerves_system_br v1.3.2","ref":"changelog.html#v1-2-1","title":"Changelog - v1.2.1","type":"extras"},{"doc":"This release updates Erlang to OTP 21.0 Enhancements Enable Enable NO_HZ in linux kernel for performance. Updated dependencies nerves_system_br v1.3.0","ref":"changelog.html#v1-2-0","title":"Changelog - v1.2.0","type":"extras"},{"doc":"This release fixes some issues and adds firmware UUID support. This support can be used to unambiguously know what's running on a device. Updated dependencies nerves_system_br v1.2.2 Bug fixes Empty serial numbers stored in the U-Boot environment would be used instead of reverting to devices IDs built into the CPU or board. It wasn't possible to enable QtWebEngine (needed for kiosk apps)","ref":"changelog.html#v1-1-1","title":"Changelog - v1.1.1","type":"extras"},{"doc":"This release adds official support for provisioning serial numbers to devices. Other information can be provisioned in a similar manner. See the README.md for details. Buildroot was also updated to 2018.05. Be sure to review the nerves_system_br link for the changes in the embedded Linux components. Updated dependencies nerves_system_br v1.2.0","ref":"changelog.html#v1-1-0","title":"Changelog - v1.1.0","type":"extras"},{"doc":"This release is nearly identical to rc.1 except with the deps bump to 1.0 and documentation/comment updates. Updated dependencies nerves_system_br v1.0.0 nerves_toolchain v1.0.0 nerves v1.0.0","ref":"changelog.html#v1-0-0","title":"Changelog - v1.0.0","type":"extras"},{"doc":"This release contains updates to Erlang and heart from nerves_system_br and mostly cosmetic changes to this project. The trivial .fw files are no longer created by CI scripts. If you've forked this project and are building systems using CI, make sure to update your publish scripts. Updated dependencies nerves_system_br v1.0.0-rc.2","ref":"changelog.html#v1-0-0-rc-1","title":"Changelog - v1.0.0-rc.1","type":"extras"},{"doc":"Updated dependencies nerves_system_br v1.0.0-rc.0 nerves_toolchain v1.0.0-rc.0 nerves v1.0.0-rc.0","ref":"changelog.html#v1-0-0-rc-0","title":"Changelog - v1.0.0-rc.0","type":"extras"},{"doc":"Updated dependencies nerves_system_br v0.17.0 nerves_toolchain v0.13.0 nerves v0.9.0","ref":"changelog.html#v0-5-0","title":"Changelog - v0.5.0","type":"extras"},{"doc":"Updated dependencies nerves_system_br v0.16.4 Changes Temporarily disable the system linter since it fails and the fix requires some time.","ref":"changelog.html#v0-4-1","title":"Changelog - v0.4.1","type":"extras"},{"doc":"Updated dependencies nerves_system_br v0.16.1-2017-11 Enhancements Increased memory in qemu script to 1 GB. 128 MB works, but can cause some apps to reboot with out of memory errors. Start running nerves_system_linter to check for configuration errors. Automount the boot partition readonly at /boot Support for reverting firmware. See Reverting Firmware for more info on reverting firmware. See fwup-revert.conf for more information on how fwup handles reverting.","ref":"changelog.html#v0-4-0","title":"Changelog - v0.4.0","type":"extras"},{"doc":"Updated dependencies toolchain v0.12.1","ref":"changelog.html#v0-3-2","title":"Changelog - v0.3.2","type":"extras"},{"doc":"Updated dependencies nerves_system_br v0.15.1","ref":"changelog.html#v0-3-1","title":"Changelog - v0.3.1","type":"extras"},{"doc":"Updated dependencies nerves_system_br v0.15.0 Enhancements erlinit added aliased /dev/rootdisk* for referencing the boot disk. See the readme for more info. Updated nerves to 0.8. Move nerves.exs into mix.exs","ref":"changelog.html#v0-3-0","title":"Changelog - v0.3.0","type":"extras"},{"doc":"Updated dependencies nerves_system_br v0.14.1","ref":"changelog.html#v0-2-1","title":"Changelog - v0.2.1","type":"extras"},{"doc":"Updated dependencies nerves_system_br v0.14.0 Buildroot 2017.08 fwup 0.17.0 erlinit 1.2.0 nbtty 0.3.0","ref":"changelog.html#v0-2-0","title":"Changelog - v0.2.0","type":"extras"},{"doc":"Initial release","ref":"changelog.html#v0-1-0","title":"Changelog - v0.1.0","type":"extras"}]